# Discrete1DFunction Class Reference

This is a TabulatedFunction that computes a discrete one dimensional function f(x). More...

Inheritance diagram for Discrete1DFunction:

List of all members.

## Public Member Functions
def | __init__
| __init__(OpenMM.Discrete1DFunction self, vectord values) -> Discrete1DFunction
def | getFunctionParameters
| getFunctionParameters(Discrete1DFunction self)
def | setFunctionParameters
| setFunctionParameters(Discrete1DFunction self, vectord values)
def | Copy
| Copy(Discrete1DFunction self) -> Discrete1DFunction.
def | __del__
| __del__(OpenMM.Discrete1DFunction self)
## Public Attributes
| this

## Detailed Description

This is a TabulatedFunction that computes a discrete one dimensional function f(x).

To evaluate it, x is rounded to the nearest integer and the table element with that index is returned. If the index is outside the range [0, size), the result is undefined.

## Member Function Documentation

def __del__ | ( |  | self | ) |

__del__(OpenMM.Discrete1DFunction self)

Reimplemented from TabulatedFunction.

def __init__ | ( |  | self,
|  |  | args |
| ) |  |  |

__init__(OpenMM.Discrete1DFunction self, vectord values) -> Discrete1DFunction

This is a TabulatedFunction that computes a discrete one dimensional function f(x). To evaluate it, x is rounded to the nearest integer and the table element with that index is returned. If the index is outside the range [0, size), the result is undefined.

def Copy | ( |  | self | ) |

Copy(Discrete1DFunction self) -> Discrete1DFunction.

Reimplemented from TabulatedFunction.

def getFunctionParameters | ( |  | self | ) |

getFunctionParameters(Discrete1DFunction self)

def setFunctionParameters | ( |  | self,
|  |  | args |
| ) |  |  |

setFunctionParameters(Discrete1DFunction self, vectord values)

## Member Data Documentation

this

The documentation for this class was generated from the following file:

- openmm.py